<?xml version="1.0" encoding="UTF-8" ?>
<!--xml的标准是：版本是1.0，编码格式：UTF-8-->

<!--mybatis的核心配置的DTD约束-->
<!DOCTYPE configuration
        PUBLIC "-//mybatis.org//DTD Config 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-config.dtd">
<!--configuration标签，mybatis核心配置文件中的核心根标签-->
<configuration>
    <settings>
        <!-- 开启下划线转驼峰自动映射（如user_name → userName） -->
        <setting name="mapUnderscoreToCamelCase" value="true"/>
    </settings>

    <!--设置类型的别名-->
    <typeAliases>
        <!--给指定包下的所有的类起别名，默认的起别名方式，就是类名改为全小写-->
        <package name="com.sf.entity"/>
    </typeAliases>

    <!--配置数据库环境的标签-->
    <!--可以通过切换default的值改变数据库配置-->
    <environments default="d01">
        <!--一个关于数据库的配置信息-->
        <environment id="d01">
            <!--事务管理器，type=JDBC是采用JDBC的默认的事务管理方式-->
            <transactionManager type="JDBC"/>
            <!--数据源  type="POOLED" 类型是连接池-->
            <dataSource type="POOLED">
                <property name="driver" value="com.mysql.cj.jdbc.Driver"/>
                <property name="url" value="jdbc:mysql://localhost:3306/rbac01"/>
                <property name="username" value="root"/>
                <property name="password" value="123456"/>
            </dataSource>
        </environment>
    </environments>

    <!--引入映射配置文件-->
    <mappers>
        <!--直接引入整个文件夹里所有的xml映射文件-->
        <package name="com/sf/mapper"/>
    </mappers>
</configuration>